# README #

A discord bot for the trifecta discord channel

### What is this repository for? ###

* Here we track issues and collaborate on the bot

### How do I get set up? ###

* You'll need to install docker
    * as root (`sudo -s`) 
    * `curl -Ls get.docker.com | bash`

### Testing your changes ###
* There is a bash file in the root of the repo, `test_container.sh`
    * run this to validate your python syntax. On first run, it will take a while to build
* pipeline [here](https://cloud.docker.com/app/ldooks/repository/docker/ldooks/dragon-bot/builds)

### Contribution guidelines ###

* Make your changes
* create a pull request
* copy-paste the output of `test_container.sh` on your pull request to prove everything worked


### Who do I talk to? ###

* Bad dragon in discord